<?php

class SolicitacoesPrioridades extends GxActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'solicitacoes_prioridades';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		return array(
			array('SOP_IDSOLICITACAO, SOP_PENDENCIA_PRIORITARIA, SOP_IDFUNCIONARIO', 'required'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		return array(
			'Solicitacao' => array(self::BELONGS_TO, 'Solicitacoes', 'SOP_IDSOLICITACAO', 'joinType' => 'LEFT JOIN'),
			'Funcionario' => array(self::BELONGS_TO, 'Funcionarios', 'SOP_IDFUNCIONARIO', 'joinType' => 'LEFT JOIN'),
		);
	}

	/**
	 * @return array customized attribute labels (name=&gt;label)
	 */
	public function attributeLabels()
	{
		return array(

		);
	}

	public function behaviors() {
        return array('datetimeI18NBehavior' => array('class' => 'ext.DateTimeI18NBehavior'));
    }
}